org.bouncycastle.asn1.x509

## Class PolicyQualifierInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.PolicyQualifierInfo

All Implemented Interfaces:
  DEREncodable

    public class PolicyQualifierInfo
    extends ASN1Encodable

Policy qualifiers, used in the X509V3 CertificatePolicies extension.

       PolicyQualifierInfo ::= SEQUENCE {
           policyQualifierId  PolicyQualifierId,
           qualifier          ANY DEFINED BY policyQualifierId }

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`PolicyQualifierInfo(ASN1Sequence as)` Creates a new `PolicyQualifierInfo` instance.
`PolicyQualifierInfo(DERObjectIdentifier policyQualifierId, DEREncodable qualifier)` Creates a new `PolicyQualifierInfo` instance.
`PolicyQualifierInfo(java.lang.String cps)` Creates a new `PolicyQualifierInfo` containing a cPSuri qualifier.

### Method Summary

Methods
`static PolicyQualifierInfo` `getInstance(java.lang.Object as)`
`DERObjectIdentifier` `getPolicyQualifierId()`
`DEREncodable` `getQualifier()`
`DERObject` `toASN1Object()` Returns a DER-encodable representation of this instance.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PolicyQualifierInfo

    public PolicyQualifierInfo(DERObjectIdentifier policyQualifierId,
                       DEREncodable qualifier)

Creates a new `PolicyQualifierInfo` instance.

Parameters:
  `policyQualifierId` - a `PolicyQualifierId` value
  `qualifier` - the qualifier, defined by the above field.

#### PolicyQualifierInfo

    public PolicyQualifierInfo(java.lang.String cps)

Creates a new `PolicyQualifierInfo` containing a cPSuri qualifier.

Parameters:
  `cps` - the CPS (certification practice statement) uri as a `String`.

#### PolicyQualifierInfo

    public PolicyQualifierInfo(ASN1Sequence as)

Creates a new `PolicyQualifierInfo` instance.

Parameters:
  `as` - `PolicyQualifierInfo` X509 structure encoded as an ASN1Sequence.

### Method Detail

#### getInstance

    public static PolicyQualifierInfo getInstance(java.lang.Object as)

#### getPolicyQualifierId

    public DERObjectIdentifier getPolicyQualifierId()

#### getQualifier

    public DEREncodable getQualifier()

#### toASN1Object

    public DERObject toASN1Object()

Returns a DER-encodable representation of this instance.

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a `DERObject` value